
ARABIC_STOPWORDS  = {'من','في','على','و','فى','يا','عن','مع','ان','هو','علي','ما','اللي','كل','بعد','ده','اليوم','أن','يوم','انا','إلى','كان','ايه','اللى','الى','دي',
    'بين','انت','أنا','حتى','لما','فيه','هذا','واحد','احنا','اي','كده','إن','او','أو','عليه','ف','دى','مين','الي','كانت','أمام','زي','يكون','خلال','ع',
    'كنت','هي','فيها','عند','التي','الذي','قال','هذه','قد','انه','ريتويت','بعض','أول','ايه','الان','أي','منذ','عليها','له','ال','تم','ب','دة',
    'عليك','اى','كلها','اللتى','هى','دا','انك','وهو','ومن','منك','نحن','زى','أنت','انهم','معانا','حتي','وانا','عنه','إلي','ونحن','وانت','منكم','وان','معاهم',
    'معايا','وأنا','عنها','إنه','اني','معك','اننا','فيهم','د','انتا','عنك','وهى','معا','آن','انتي','وأنت','وإن','ومع','وعن','معاكم','معاكو',
    'معاها','وعليه','وانتم','وانتي','¿','|'}

def remove_stopwords(text: str) -> str:
    """Remove common Arabic stopwords from text.
    
    Args:
        text: Input Arabic text
        
    Returns:
        Text with stopwords removed
    """
    return ' '.join([word for word in text.split() if word not in ARABIC_STOPWORDS])